Subject: Re: bug#23180: 2016-01-31; Auto-capitalize and change env

From: Mosè Giordano <[email-masked]>
Date: Fri, 1 Apr 2016 12:19:58 +0200

Hi Uwe,

2016-04-01 11:38 GMT+02:00 Uwe Brauer <[email-masked]>:
>
> Hi
>
> I just realized that auto-capitalize is in MELPA.
> Maybe I am the only one who uses this _very  useful package.
>
> But when auto-capitalize is turned on,
>
> C-u C-c C-e
>
> Does *not* change the environment correctly.
>
>
> \documentclass[12pt]{article}
> \begin{document}
>
> \begin{equation}
> \label{eq:example:1}
> \int
> \end{equation}
>
> \end{document}
>
>
> With auto-capitalize mode on
> leads to
>
>
> \documentclass[12pt]{article}
> \begin{align}
>
> \begin{equation}
> \label{eq:example:1}
> \int
> \end{align}
>
> \end{document}
>
> This problem does not occur in Xemacs with auctex-11.88.

I can't reproduce the bug you describe neither in Emacs 24.5 nor in
Emacs 25.1.50.17.  Please provide a reproducible recipe starting from
"emacs -Q".

Bye,
Mosè